%define modname callcenterPRO

Summary: Elastix Call Center PRO
Name:    elastix-callcenterPRO
Version: 1.0.0
Release: 12
License: GPL
Group:   Applications/System
Source0: %{modname}_%{version}-%{release}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Prereq: elastix-framework >= 2.5.0-2
Requires: asterisk
Requires: freePBX
Requires: php-mbstring
Requires: php-mcrypt
Requires: php-SourceGuardian
Requires: dmidecode

%description
Elastix Call Center PRO

%prep
%setup -n %{modname}

%install
rm -rf $RPM_BUILD_ROOT

# Files provided by all Elastix modules
mkdir -p    $RPM_BUILD_ROOT/var/www/html/
mv modules/ $RPM_BUILD_ROOT/var/www/html/
mv setup/ccpro_web_resources $RPM_BUILD_ROOT/var/www/html/

# Additional (module-specific) files that can be handled by RPM
mkdir -p $RPM_BUILD_ROOT/opt/elastix/
mv setup/ccpro_dialer_process/ccpro_dialer/ $RPM_BUILD_ROOT/opt/elastix/
chmod +x $RPM_BUILD_ROOT/opt/elastix/ccpro_dialer/ccpro_dialerd
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d/
mv setup/ccpro_dialer_process/elastixdialerpro $RPM_BUILD_ROOT/etc/rc.d/init.d/
chmod +x $RPM_BUILD_ROOT/etc/rc.d/init.d/elastixdialerpro
rmdir setup/ccpro_dialer_process
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d/
mv setup/elastixdialerpro.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/elastixdialerpro
mkdir -p $RPM_BUILD_ROOT/var/www/html/libs/
mv setup/callCenterProUtils.class.php $RPM_BUILD_ROOT/var/www/html/libs/
mv setup/ccproForm.class.php $RPM_BUILD_ROOT/var/www/html/libs/
mkdir -p $RPM_BUILD_ROOT/usr/share/elastix/privileged/
mv setup/ccproDBConfig $RPM_BUILD_ROOT/usr/share/elastix/privileged/
mv setup/ccpdaemon $RPM_BUILD_ROOT/usr/share/elastix/privileged/
mv setup/ccproLicense $RPM_BUILD_ROOT/usr/share/elastix/privileged/
mv setup/ccpro_info $RPM_BUILD_ROOT/usr/share/elastix/privileged/
mv setup/ccpro_set $RPM_BUILD_ROOT/usr/share/elastix/privileged/
mv setup/ccpro_status $RPM_BUILD_ROOT/usr/share/elastix/privileged/
chmod 755 $RPM_BUILD_ROOT/usr/share/elastix/privileged/*

# The following folder should contain all the data that is required by the installer,
# that cannot be handled by RPM.
mkdir -p    $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/
mv setup/   $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/
mv menu.xml $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/

%pre
mkdir -p /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/
touch /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/preversion_%{modname}.info
if [ $1 -eq 2 ]; then
    rpm -q --queryformat='%{VERSION}-%{RELEASE}' %{name} > /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/preversion_%{modname}.info
fi

%post
pathModule="/usr/share/elastix/module_installer/%{name}-%{version}-%{release}"

# Run installer script to fix up ACLs and add module to Elastix menus.
elastix-menumerge $pathModule/menu.xml
preversion=`cat $pathModule/preversion_%{modname}.info`
rm $pathModule/preversion_%{modname}.info

# Remove module directory ccpro_listado_cargas_usuarios incorrectly leaked
# into official CallCenterPRO
elastix-menuremove ccpro_listado_cargas_usuarios

if [ $1 -eq 1 ]; then #install
  # The installer database
    elastix-dbprocess "install" "$pathModule/setup/db"

    #if [ ! -f "/elastix-callcenterpro.lic" ]; then
    #	mv $pathModule/setup/elastix-callcenterpro.lic /elastix-callcenterpro.lic
    #fi
    /sbin/service httpd restart > /dev/null 2>&1
elif [ $1 -eq 2 ]; then #update
    elastix-dbprocess "update"  "$pathModule/setup/db" "$preversion"
    /sbin/service httpd restart > /dev/null 2>&1
fi

# Licencia temporal hasta el 31 de diciembre de 2014
#mv -f $pathModule/setup/elastix-callcenterpro.lic /elastix-callcenterpro.lic

# Add dialer to startup scripts, and enable it by default
chkconfig --add elastixdialerpro
chkconfig --level 2345 elastixdialerpro on

/sbin/service elastixdialerpro restart > /dev/null 2>&1

# The installer script expects to be in /tmp/new_module
mkdir -p /tmp/new_module/%{modname}
cp -r /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/* /tmp/new_module/%{modname}/
chown -R asterisk.asterisk /tmp/new_module/%{modname}

php /tmp/new_module/%{modname}/setup/installer.php
rm -rf /tmp/new_module

# To update smarty (tpl updates)
rm -rf /var/www/html/var/templates_c/*

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ $1 -eq 0 ] ; then # Check to tell apart update and uninstall
    echo "Removing CallCenterPRO menus..."
    elastix-menuremove "call_center_pro"
    chkconfig --del elastixdialerpro
fi

%files
%defattr(-, asterisk, asterisk)
/opt/elastix/ccpro_dialer
%defattr(-, root, root)
%{_localstatedir}/www/html/*
%{_datadir}/elastix/module_installer/*
%{_sysconfdir}/rc.d/init.d/elastixdialerpro
%{_sysconfdir}/logrotate.d/elastixdialerpro
%{_datadir}/elastix/privileged/*

%changelog
* Fri Oct  2 2015 Alex Villacis <a_villacis@palosanto.com> 1.0.0-12
- Update up to commit e66204fe691ff6aa14e57546ce5dab0f5a2cbd45

* Thu Sep 24 2015 Alex Villacis <a_villacis@palosanto.com> 1.0.0-11
- Update up to commit e4d61bdebdfb02e2f8d814bcd2b119b6f1ee6ac1

* Wed Sep 23 2015 Alex Villacis Lasso <a_villacis@palosanto.com> 1.0.0-10
- Update up to commit 1a4261d996944f759e162aabb3695f5fcf3307e7

* Wed Aug 19 2015 Alberto Santos <asantos@palosanto.com> 1.0.0-9
- Update up to commit 7e2ecfec7a5c8a8a00128580ecf7a086d6252bc4

* Fri Jun 26 2015 Alberto Santos <asantos@palosanto.com> 1.0.0-8
- Update up to commit e6e499d07de5eb03c959dd0eb8c66bdd7430bdd8

* Wed Jun 24 2015 Alberto Santos <asantos@palosanto.com> 1.0.0-7
- Update up to commit 093849ec5490ce42f4520e946ee41337f03f1700

* Fri May 08 2015 Alberto Santos <asantos@palosanto.com> 1.0.0-6
- Update up to commit a00aaabcf7e16c7ab1cca3109386850ec07999f8

* Tue Apr 14 2015 Alberto Santos <asantos@palosanto.com> 1.0.0-5
- Update up to commit 959f39895dd8babb50eeef0ca43bf12a1155cea6

* Mon Dec 29 2014 Alex Villacis Lasso <a_villacis@palosanto.com>
- Update up to commit abcc61aa8bca2c6319f5f6c5d8d475f5eb7e9554

* Mon Dec 22 2014 Alex Villacis Lasso <a_villacis@palosanto.com> 1.0.0-4
- Update up to commit 7340d6a7c29d31603a212d9e24fa72af601b1fc5

* Tue Oct 28 2014 Alex Villacis Lasso <a_villacis@palosanto.com> 1.0.0-3
- Update up to commit d87a4d428db7540d4bb4e754745254201173ecc0

* Thu Oct 23 2014 Alex Villacis Lasso <a_villacis@palosanto.com> 1.0.0-2
- Update up to commit f04779b2b38239e80bf916b9c2dde2233d22a202

* Tue May 15 2014 Alberto Santos <asantos@palosanto.com> 1.0.0-1
- Initial version.
